Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

apt-get is not known on line 3 in source list /etc/apt/sources.list.d/grizzly.list.
When I go into this file I have to write down some commands as written in openstack manual doc's:

deb http://archive.gplhost.com/debian grizzly main
deb http://archive.gplhost.com/debian grizzly-backports main
apt-get update
apt-get install gplhost-archive-keyring 

After I've written them down, the next step is to write down another command to upgrade the system

sudo apt-get update && apt-get upgrade

but when I execute it, the error pops up every time as I mentioned above.

share|improve this question
    
Please remove the lines apt-get update apt-get install gplhost-archive-keyring from your /etc/apt/sources.list.d/grizzly.list file and post the errors that you get here. –  i08in May 16 '13 at 7:28

1 Answer 1

/etc/apt/sources.list.d/grizzly.list file should look like this:

deb http://archive.gplhost.com/debian grizzly main
deb http://archive.gplhost.com/debian grizzly-backports main
share|improve this answer
    
ok.thanks alot...if i get any error ill write it down here ok...n please can u send me an easy website where i can install openstack manually and without any errors...this is the guide that im using right now –  ali May 17 '13 at 11:08
    
docs.openstack.org/grizzly/basic-install/apt/content/basic-install_controller.ht‌​ml#basic-install_controller-intro –  ali May 17 '13 at 11:09
1  
@ali Did this answer fix the original problem you were having? If so, please click the green check mark by the answer so people know that this solution does indeed fix the problem you had. –  Azendale Oct 22 '13 at 8:18

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.